# Update an MCP server

**PUT /v1/redpanda-connect/mcp-servers/{id}**

Update the configuration of an MCP server.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters

- **id** (string)
  MCP server ID.


### Query parameters

- **update_mask** (string)
  Specifies which fields to update. If not provided, updates all fields.


### Body: application/json (object)

- **description** (string)
  MCP server description.

- **display_name** (string)
  User-friendly MCP server name.

- **resources** (object)

- **service_account** (object)

- **tags** (object)
  A map of tags to add, update or delete.
  If a tag's value is empty, the server interprets that as a deletion.

- **tools** (object)
  Map of tool names to their configurations. Each tool defines a capability that the MCP server exposes.



## Responses
### 200
OK

#### Body: application/json (object)
- **description** (string)
  Optional MCP server description.

- **display_name** (string)
  User-friendly MCP server name.

- **id** (string)
  Unique identifier for the MCP server.

- **resources** (object)

- **service_account** (object)

- **state** (string)
  State of the MCP server.

   - STATE_STARTING: The MCP server is starting.
   - STATE_RUNNING: The MCP server is running.
   - STATE_STOPPING: The MCP server is in the process of stopping.
   - STATE_STOPPED: The MCP server is stopped and in paused state.
   - STATE_ERROR: The MCP server encountered an error.

- **status** (object)
  MCP server status may contain an error message.

- **tags** (object)
  Tags are key-value pairs that can be assigned to an MCP server resource.
  They help organize MCP servers and enable filtering when listing them.

- **tools** (object)
  Map of tool names to their configurations. Each tool defines a capability that the MCP server exposes.

- **url** (string)
  URL to connect to the MCP server.


### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).

- **details** (array[object])
  A list of messages that carries the error details.

- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).

- **details** (array[object])
  A list of messages that carries the error details.

- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).

- **details** (array[object])
  A list of messages that carries the error details.

- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.



[Powered by Bump.sh](https://bump.sh)
